#ifndef _RC_H_
#define _RC_H_

#include "valpair.h"


struct rcentry_t {
	struct rcentry_t *next;
	valpair *vp;
};
typedef struct rcentry_t rcentry;


struct rc_t {
	rcentry *head;
};
typedef struct rc_t rc;


extern rc *rcLoadFile(const char *rcfile);
extern void rcDestroy(rc *r);
extern char *rcValue(const rc *r, const char *n);


#endif

